$(document).ready(function() {
	load();
})
function load() {  
	var language = (navigator.browserLanguage || navigator.language).toLowerCase();
	if(language.indexOf('zh')>-1){
		loadProperties('zh');
	}else if(language.indexOf('en')>-1){
		loadProperties('en');
	}else if(language.indexOf('ja')>-1){
		loadProperties('ja');
	}else{
		loadProperties('zh');
	}
	function loadProperties(locale) {  
		jQuery.i18n.properties({//加载资浏览器语言对应的资源文件
			name : 'messages', //资源文件名称
			path : '/resources/i18n/', //资源文件路径
			mode : 'map', //用Map的方式使用资源文件中的值
			language : locale,
			callback : function() {//加载成功后设置显示内容
				$("[data-i18n-value]").each(function() {
					$(this).val($.i18n.prop($(this).data("i18n-value")));
				});
				$("[data-i18n-text]").each(function() {
					$(this).text($.i18n.prop($(this).data("i18n-text")));
				});
				$("[data-i18n-html]").each(function() {
					$(this).html($.i18n.prop($(this).data("i18n-html")));
				});
				$("[data-i18n-placeholder]").each(function() {
					$(this).attr('placeholder',$.i18n.prop($(this).data("i18n-placeholder")));
				});
			}
		});			
	}
}
function getMessage(message) { 
	return $.i18n.prop(message);
}